<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Shortcodes Class
 *
 * Handles shortcodes functionality of plugin
 *
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */
class Wpsd_Shortcodes {
	
	var $model,$scripts,$render;
	
	function __construct(){
		
		global $wpsd_model,$wpsd_scripts,$wpsd_render;
		
		$this->model = $wpsd_model;
		$this->scripts = $wpsd_scripts;
		$this->render = $wpsd_render;
		
	}
	
	/**
	 * Main entry point.
	 *
	 * @static
	 */
	
	public static function serve() {
		
		$me = new Wpsd_Shortcodes();
		$me->add_hooks();
	}
	
	/**
	 * Get All Deals Data
	 * 
	 * Handles to getting all deals data on the viewing page
	 * whereever user put shortcode
	 * 
	 * @package WooCommerce WP Social Deals
	 * @since 1.0.0 
	 */
	
	public function wpsd_all($content) {
		
		ob_start();
		//do action to add before home header
		do_action( 'wps_deals_home_content' );
		$content .= ob_get_clean();
		return $content;
		
	}
	
	/**
	 * Adding Hooks
	 *
	 * Adding hooks for calling shortcodes.
	 *
	 * @package WooCommerce WP Social Deals
	 * @since 1.0.0
	 */
	public function add_hooks() {
		
		//add shortcode to show list of deals on the page
		add_shortcode( 'wpsd_woo_deals', array( $this, 'wpsd_all' ) );
		
	}
}