<?php 
/**
 * The Template for displaying deal archives, including the main home page which is a deals listing
 *
 * Override this template by copying it to yourtheme/wocommerce_wpsocial_deals/home-deals.php
 *
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
get_header();

	global $wpsd_render,$post;
	
	$size = get_option('deals_size');
	
	$disable_more_deals = get_option('disable_more_deals');
	
	//render class
	$render = $wpsd_render;
?>

	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action('woocommerce_before_main_content');
	?>

		<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

			<h1 class="page-title"><?php the_title(); ?></h1>

		<?php endif; ?>
		
		
		<?php do_action( 'woocommerce_archive_description' ); ?>
				
			<?php 
				//do action to add in top of home page
				do_action( 'wpsd_home_top');
			?>
				
			<div class="wpsd-front <?php echo $size;?> row-fluid">
								
				<?php 	
					//do action to add before home header
					do_action( 'wpsd_home_content' );
				?>
						
			</div><!--.wpsd-front-->
				
			<?php 
				//do action to add after home page container
				do_action( 'wpsd_home_bottom');
			?>
		
		<?php
			/**
			 * woocommerce_after_shop_loop hook
			 *
			 * @hooked woocommerce_pagination - 10
			 */
			do_action( 'woocommerce_after_shop_loop' );
		?>
		
		<?php
			/**
			 * woocommerce_after_main_content hook
			 *
			 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
			 */
			do_action('woocommerce_after_main_content');
		?>
								
	
	<?php
		/**
		 * woocommerce_sidebar hook
		 *
		 * @hooked woocommerce_get_sidebar - 10
		 */
		do_action('woocommerce_sidebar');
	?>

<?php get_footer('shop'); ?>