<?php 

/**
 * Template Deal Details
 * 
 * Handles to show deal details
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	
	global $product,$post;
	
	$dimsaleratio = get_post_meta( $post->ID, '_wpsd_inc_ratio', true );

	if( empty( $dimsaleratio ) ) :
?>	
<div class="clearfix">&nbsp;</div>
<?php endif; ?>
<div class="wpsd-deal-details <?php echo $display_none; ?> row-fluid" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
	
	<div itemprop="price <?php echo $dimsaleratio; ?>" class="row-fluid">
		<div class="wpsd-product-div row-fluid <?php _e($size); ?>">
	 		<?php 
	 			//do action to show deal value / save price / discount
	 			do_action( 'wpsd_single_details' );
	 		?>
	 	</div>
	 </div>
	
	<meta itemprop="priceCurrency" content="<?php echo get_woocommerce_currency(); ?>" />
	<link itemprop="availability" href="http://schema.org/<?php echo $product->is_in_stock() ? _e('InStock','wpsd') : _e('OutOfStock','wpsd'); ?>" />

</div>