<?php
/**
 * Template Hooks
 * 
 * Handles to add all hooks of template
 * 
 * @package WooCommerce WP Social Deals
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

	/********************** Home Page Hooks **************************/

	//add_action to load home header - 5
	//add_action to load home content - 10
	add_action( 'wpsd_home_content', 'wpsd_home_header'	, 5 );
	add_action( 'wpsd_home_content', 'wpsd_home_content'	, 10 );
	
	//add_action to show home header content - 5
	add_action( 'wpsd_home_header_content', 'wpsd_home_header_content' , 5 );
	
	//add_action to show home page header timer - 5
	//add_action to show home page header discount box - 10
	add_action( 'wpsd_home_header_right_top', 'wpsd_home_header_timer'	, 5 );
	add_action( 'wpsd_home_header_right_top', 'wpsd_home_header_discount'	, 10 );
	
	//add_action to show home page header right panel deal value box - 5
	//add_action to show home page header right panel deal saving value - 10
	add_action( 'wpsd_home_header_right_center', 'wpsd_home_header_dealvalue'	, 5);
	add_action( 'wpsd_home_header_right_center', 'wpsd_home_header_dealsave'	, 10);
	
	//add_action to show home page social sharing button -5 
	//add_action to show home page social facebook button -10 
	//add_action to show home page social twitter button - 15
	//add_action to show home page social google button - 20
	//add_action to show home page social fanpage button - 25
	add_action( 'wpsd_social_buttons', 'wpsd_social_sharing'	, 5 );
	add_action( 'wpsd_social_buttons', 'wpsd_social_facebook'	, 10 );
	add_action( 'wpsd_social_buttons', 'wpsd_social_twitter'	, 15 );
	add_action( 'wpsd_social_buttons', 'wpsd_social_google'		, 20 );
	add_action( 'wpsd_social_buttons', 'wpsd_social_fanpage'	, 25 );
	
	//add_action to show home page header star rating - 5
	//add_action to show home page header social buttons - 10 
	//add_action to show home page header see deal button - 15
	add_action( 'wpsd_home_header_right_bottom', 'wpsd_home_header_ratings'	, 5 );
	add_action( 'wpsd_home_header_right_bottom', 'wpsd_social_buttons'		, 10 );
	add_action( 'wpsd_home_header_right_bottom', 'wpsd_home_header_see_deal'	, 15 );
	
	//add_action to load home more deal navigation - 5
	//add_action to load home content active deals - 10
	//add_action to load home content ending deals - 15
	//add_action to load home content upcoming deals - 20
	add_action( 'wpsd_home_more_deals', 'wpsd_home_navigations', 5 );
	add_action( 'wpsd_home_more_deals', 'wpsd_home_more_deal_active', 10 );
	add_action( 'wpsd_home_more_deals', 'wpsd_home_more_deal_ending', 15 );
	add_action( 'wpsd_home_more_deals', 'wpsd_home_more_deal_upcoming', 20 );
	
	//add_action to show home price flag with image - 5 
	//add action to show deal image for home page loop - 10
	//add action to show deal normal price on home page more deal - 15
	//add action to show deal price on home page more deal - 20
	//add action to show deal saving price on home page more deal - 25
	add_action( 'wpsd_home_more_deal_content', 'wpsd_home_more_deal_price_flag' 	, 5 );
	add_action( 'wpsd_home_more_deal_content', 'wpsd_home_more_deal_image' 		, 10 );
	add_action( 'wpsd_home_more_deal_content', 'wpsd_home_more_deal_normal_price' , 15 );
	add_action( 'wpsd_home_more_deal_content', 'wpsd_home_more_deal_discount' 	, 20 );
	add_action( 'wpsd_home_more_deal_content', 'wpsd_home_more_deal_saving' 		, 25 );
	
	//add action for home more deal footer content ( timer ) - 5
	//add action for home more deal footer content ( see deal ) - 10
	add_action( 'wpsd_home_more_deal_footer', 'wpsd_home_more_deal_footer_time' 		, 5 );
	add_action( 'wpsd_home_more_deal_footer', 'wpsd_home_more_deal_footer_see_deal' 	, 10 );
	
	/********************** Deal View Page Hooks **************************/
	
	//add action to show left deal text on top - 5
	//add action to show deal details - 10
	//add action to show deal timer - 15
	//add action to show deal available & bought box - 20
	//add action to show single page header social buttons - 25
	add_action( 'wpsd_single_header_right', 'wpsd_single_dimsale_box'		, 5 );
	add_action( 'wpsd_single_header_right', 'wpsd_single_deal_details'		, 10 );
	add_action( 'wpsd_single_header_right', 'wpsd_single_deal_timer'		, 15 );
	add_action( 'wpsd_single_header_right', 'wpsd_single_deal_avail_bought'	, 20 );
	add_action( 'wpsd_single_header_right', 'wpsd_social_buttons'			, 25 );
	
	//add action to show  single deal normal price - 5
	//add action to show  single deal discount - 10
	//add action to show  single deal saving price - 15
	add_action( 'wpsd_single_details', 'wpsd_single_normalprice'	, 5 );
	add_action( 'wpsd_single_details', 'wpsd_single_discount'		, 10 );
	add_action( 'wpsd_single_details', 'wpsd_single_save'			, 15 );
	
	//add_action to show available box - 5
	//add_action to show bought box - 10
	add_action( 'wpsd_available_bought', 'wpsd_single_available', 5 );
	add_action( 'wpsd_available_bought', 'wpsd_single_bought' 	, 10 );
	
	//add_action to show single footer content top
	//add_action to show business title - 5
	//add_action to show business location map - 10
	add_action( 'wpsd_single_footer_top', 'wpsd_single_business_title'	, 5 );
	add_action( 'wpsd_single_footer_top', 'wpsd_single_business_location'	, 10 );
	
	//add_action to show single footer content before container
	//add_action to show business logo - 5
	add_action( 'wpsd_single_footer_middle_content_before',	'wpsd_single_business_logo'	, 5 );
	
	//add_action to show single footer inside container
	//add_action to show business address - 5
	//add_action to show business link - 10
	//add_action to show terms and coditions - 15
	add_action( 'wpsd_single_footer_middle_content_center', 'wpsd_single_business_address', 5 );
	add_action( 'wpsd_single_footer_middle_content_center', 'wpsd_single_business_link'	, 10 );
	add_action( 'wpsd_single_footer_middle_content_center', 'wpsd_single_terms_conditions', 15 );
	
?>